package bolum11;

public class dizi extends List
{
  public dizi() {super("dizi");}
  public synchronized void push(Object o)
  {insertAtFront(o);}
  public synchronized void ekle(Object o)
  {insertAtFront(o);}
  public synchronized Object pop() throws EmptyListException
  {return removeFromFront();}
  public synchronized Object cek() throws EmptyListException
  {return removeFromFront();}
  
  public boolean isEmpty() {return super.isEmpty();}
  public boolean bosmu() {return super.isEmpty();}
  public void print() {super.print();}
}
